=== debian/changelog ===
imsprog (1.4.3-1) unstable; urgency=medium

  * New upstream version:
    - Fix: On the GNOME desktop, program does not respond
      when erasing SPI NOR FLASH

 -- Mikhail Medvedev <e-ink-reader@yandex.ru>  Fri, 26 Jul 2024 11:51:43 +0300

imsprog (1.4.2-1) unstable; urgency=medium

  * New upstream version
  * Update debian/copyright
  * Fix metadata files

 -- Mikhail Medvedev <e-ink-reader@yandex.ru>  Fri, 28 Jun 2024 09:55:04 +0300

imsprog (1.4.1-1) unstable; urgency=medium

  * New upstream version
    - Renamed udev rule from 99-CH341.rules to 71-CH341.rules (for uaccess)
      and removed MODE=660 and GROUP+=plugdev
  * Fix debian/watch

 -- Mikhail Medvedev <e-ink-reader@yandex.ru>  Mon, 27 May 2024 13:03:27 +0300
