=== debian/control ===
Source: imsprog
Section: devel
Priority: optional
Maintainer: Mikhail Medvedev <e-ink-reader@yandex.ru>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libusb-1.0-0-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev,
 systemd-dev (>= 253-2~) | udev (<< 253-2~),
Standards-Version: 4.7.0
Homepage: https://github.com/bigbigmdm/IMSProg
Vcs-Git: https://github.com/bigbigmdm/IMSProg.git -b debian/latest
Vcs-Browser: https://github.com/bigbigmdm/IMSProg/
Rules-Requires-Root: no

Package: imsprog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wget, zenity
Description: Linux chip programmer for CH341a devices
 Linux IMSProg - I2C, SPI and MicroWire chip programmer for CH341a devices.
 The IMSProg is a free EEPROM programmer tool for CH341A device based on
 QhexEdit2 and modify SNANDer programmer.
