=== debian/watch ===
version=4
https://github.com/bigbigmdm/IMSProg/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
