## imsprog 1.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

add_subdirectory("IMSProg_programmer")
add_subdirectory("IMSProg_editor")
