=== IMSProg_editor/CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,15 @@
 set(CMAKE_AUTOUIC ON)
 
 project(IMSProg_editor LANGUAGES CXX)
-
-# Set the CMAKE_INSTALL_PREFIX to /usr if not specified
+# Set the CMAKE_INSTALL_PREFIX to /usr if not specified and /usr/local for macOS
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-	set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "The default install prefix" FORCE)
+  if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+      set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "The default install prefix on macOS" FORCE)
+  # Set Qt5 path for macOS
+  	set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}/opt/qt@5" CACHE PATH "Path to Qt5 on macOS" FORCE)
+  else()
+      set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "The default install prefix" FORCE)
+  endif()
 endif()
 
 # Set the CMAKE_INSTALL_BINDIR to /bin if not specified
@@ -64,7 +69,11 @@
 target_link_libraries(${PROJECT_NAME} Qt5::Widgets)
 
 install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/other/IMSProg_editor.desktop" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")
+
+if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/other/IMSProg_editor.desktop" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")
+endif()
+
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/img/chipEdit64.png" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/pixmaps")
 
 install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/imsprog")
