=== IMSProg_programmer/CMakeLists.txt ===
--- 
+++ 
@@ -93,14 +93,17 @@
 dialogrp.cpp
 dialogsfdp.cpp
 dialogsecurity.cpp
+dialogcompare.cpp
 dialogsr.cpp
 dialogsetaddr.cpp
+hexutility.cpp
 searchdialog.cpp
 dialoginfo.cpp
 bitbang_microwire.c
 ch341a_gpio.c
 ch341a_i2c.c
 ch341a_spi.c
+color_manager.cpp
 flashcmd_api.c
 i2c_eeprom.c
 mw_eeprom.c
@@ -114,13 +117,16 @@
 qhexedit.h
 chunks.h
 commands.h
+color_manager.h
 dialogsp.h
 dialogrp.h
 dialogsfdp.h
 dialogsecurity.h
+dialogcompare.h
 dialogsr.h
 dialoginfo.h
 dialogsetaddr.h
+hexutility.h
 searchdialog.h
 bitbang_microwire.h
 ch341a_gpio.h
@@ -144,6 +150,7 @@
 dialogrp.ui
 dialogsfdp.ui
 dialogsecurity.ui
+dialogcompare.ui
 dialogsr.ui
 dialogsetaddr.ui
 dialoginfo.ui
