## imsprog 1.7.1

=== IMSProg_editor/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
     language/chipEditor_de_DE.ts
     language/chipEditor_es_ES.ts
     language/chipEditor_zh_CN.ts
+    language/chipEditor_zh_TW.ts
     language/chipEditor_uk_UA.ts
     language/chipEditor_hu_HU.ts
     language/chipEditor_pt_BR.ts
