=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  qtbase5-dev,
  qttools5-dev,
  systemd-dev (>= 253-2~) | udev (<< 253-2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bigbigmdm/IMSProg
 Vcs-Git: https://github.com/bigbigmdm/IMSProg.git -b debian/latest
 Vcs-Browser: https://github.com/bigbigmdm/IMSProg/
